class PropertyNewsState {
  int? id;
  String? title;
  String? description;
  String? time;
  int? isCollection;
  String? pic;

  PropertyNewsState(
      {this.id,
        this.title,
        this.description,
        this.time,
        this.isCollection,
        this.pic});

  PropertyNewsState.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    title = json['title'];
    description = json['description'];
    time = json['time'];
    isCollection = json['isCollection'];
    pic = json['pic'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = id;
    data['title'] = title;
    data['description'] = description;
    data['time'] = time;
    data['isCollection'] = isCollection;
    data['pic'] = pic;
    return data;
  }

  PropertyNewsState CopyWith({
    required id,
    required title,
    required description,
    required time,
    required isCollection,
    required pic,
  }){
    return PropertyNewsState(
      id: id?? this.id,
      title: title?? this.title,
      description: description?? this.description,
      time: time?? this.time,
      isCollection: isCollection?? this.isCollection,
      pic: pic?? this.pic,
    );
  }
}
